/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.ee.NoseThroatRadium;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface NoseThroatRadiumMetaData
    extends ClinicalDeterminationMetaData
{
    public NoseThroatRadium getEntity();

    public void setEntity(NoseThroatRadium entity);

    public String getDiagnosedWithCancer();

    public String getFromAviatorServiceBefore1955();

    public String getFromSubmarinerServiceBefore1965();

    public String getReceivingTreatment();

    public String getVerificationDate();

    public String getVerificationFacility();

    public String getVerificationMethod();
}